%create simplex in double representation
function [Inequalities, Simplex] = createsimplex(BaseVertices, hyperplane, apex)
base.inequal = halfspacefromhyp(hyperplane, apex);
base.vert = (1:rows(BaseVertices));
base.res = 1;
Inequalities = base.inequal;
for i = 1:rows(BaseVertices)
	Simplex(i).c = BaseVertices(i,:);
	Simplex(i).ineq(1)=base;
end %for
Simplex(end+1).c = apex;
for i = 1:rows(BaseVertices)
	hyperplane = createhyperplane([BaseVertices(1:i-1,:);BaseVertices(i+1:end,:); apex]);
	facet.inequal = halfspacefromhyp(hyperplane, BaseVertices(i,:));
	facet.vert = [(1:i-1),(i+1:rows(BaseVertices)),rows(BaseVertices)+1];
	facet.res = i+1;
	Inequalities = [Inequalities; facet.inequal];
	for j=1:rows(BaseVertices)
		if ~(i==j)
			Simplex(j).ineq(end+1)=facet;
    end %if
	end %for
	Simplex(end).ineq(i)=facet;
end %for