%create double representation from vertices and inequalities
function Polyhedron = doublerepr(Vertices, Inequalities)
Polyhedron = [];
Help = [];
for j = 1:rows(Inequalities)
	Help(j).inequal = Inequalities(j,:);
	Help(j).vert = [];
end %for
Inequalities = Help;
for i = 1:rows(Vertices)
	Polyhedron(i).c = Vertices(i,:);
	for k = 1:length(Inequalities)
		if vertexliesinhyp(Vertices(i,:), Inequalities(k).inequal)
			Inequalities(k).vert(end+1) = i;
        end %if
	end %for
end %for
for l = 1:length(Inequalities)
	for m = 1:length(Inequalities(l).vert)
		a = Inequalities(l).vert(m);
        if isfield(Polyhedron(a),'ineq')
            Polyhedron(a).ineq(end+1) = Inequalities(l);
        else
            Polyhedron(a).ineq(1) = Inequalities(l);
        end
	end %for
end %for