%return inequalities from double representation
function Inequalities = extractineq(Polyhedron)
Inequalities= [];
for i = 1:length(Polyhedron)
	for j = 1:length(Polyhedron(i).ineq)
		Inequalities(end+1,:) = Polyhedron(i).ineq(j).inequal;
		for k = 1:length(Polyhedron(i).ineq(j).vert)
			if ~(Polyhedron(i).ineq(j).vert(k) == i)
				help = 0;
				for l = 1:length(Polyhedron(Polyhedron(i).ineq(j).vert(k)).ineq)
					if same(Polyhedron(i).ineq(j).inequal,Polyhedron(Polyhedron(i).ineq(j).vert(k)).ineq(l).inequal)
						help = l;
						break;
          end %if
				end %for
				Polyhedron(Polyhedron(i).ineq(j).vert(k)).ineq(help) = [];
      end %if
		end %for
	end %for
end %for
Inequalities = inequality(Inequalities(:,1:end-1),Inequalities(:,end));