% inicialization of simplex method, finds the first vertex and its matrix
function queue=iniineqtovertices(Ineq,Eq,dim)
%inicialization
artificial=0;
queue=[];
c = zeros(1,2*dim);
block = 0;
helpb = [];

if isstruct(Ineq)
  A = Ineq.A;
  O = eye(rows(A),rows(A));
	A = [A,-A];
  A = [A,O];
	c=[c,zeros(1,rows(A))];
	b = Ineq.b;
	%negative b -> artificial problem
	for i=1:rows(A)
		if b(i)<0
			A(i,:) = -A(i,:);
			b(i) = -b(i);
			new = zeros(rows(A),1);
			new(i) = 1;
			A = [A,new];
			artificial=artificial+1;
			c = [c,1];
    end %if
	end %for
  helpb = b;
  block = rows(A)+artificial;
  Ineq.A = A;
end %if

if isstruct(Eq)
  A = Eq.A;    
  O = eye(rows(A),rows(A));
	b = Eq.b;
	A = [A,-A];
  if ~(block == 0)
    A = [A,zeros(rows(A),block)];
  end %if
	for j = 1:rows(b)
		if b(j) < 0
			b(j) = -b(j);
			A(j,:) = -A(j,:);
    end %if
	end %for
	artificial = artificial + rows(A);
	c = [c, ones(1,rows(A))];
	A = [A, O];                
  helpb = [helpb;b];
  if isstruct(Ineq)
    add = columns(A)-columns(Ineq.A);
    Ineq.A = [Ineq.A,zeros(rows(Ineq.A),add)];
    A = [Ineq.A;A];
  end %if
end %if
	
b = helpb;

%pokud nutne, res umelou ulohu
if artificial>0
	[x,A,bs,nbs,target]=simplexmethod(c,A,b);
	if (target>=0)
		[nbs,bs,A]=rmartificialvar(nbs,bs, length(x)-artificial+1,length(x),A);
		Q.mat=A;
		Q.mat(end,:)=[];
		Q.bs=bs;
		Q.nbs=nbs;
	else
		disp('Polyhedron is empty');
		queue=[];
		return;
    end %if;
else 
	Q.mat=A;
	Q.bs = (2*dim)+1:columns(Q.mat);
	Q.nbs = 1:2*dim;
	Q.mat = [Q.mat(:,1:dim*2),b];
end %if;

queue = queuepush(queue,Q);