%return hyperplanes containing dim-1 axes, which defines a facet of the dual Polyhedron
function Result = testtrivial(Vertices)
Result = [];
dim = columns(Vertices);
countfield = zeros(1,dim);
comparefield = zeros(2,dim);
for i = 1:rows(Vertices)
  for j = 1:dim
    if Vertices(i,j) == 0
      countfield(j) = countfield(j) + 1;
    elseif Vertices(i,j) < 0
      comparefield(1,j) = 1;
    elseif Vertices(i,j) > 0
      comparefield(2,j) = 1;
    end %if 
  end %for
end %for
for k = 1:length(countfield)
  if countfield(k) >= dim
  %this hyperplane defines a facet
    if comparefield(:,k) == [1;1]
    elseif comparefield(:,k) == [1;0]
      Result(end+1,:) = unitvector(dim+1,k);
    elseif comparefield(:,k) == [0;1]
      Result(end+1,:) = -unitvector(dim+1,k);
    else
      disp('This should not have happened.');
    end %if  
  end %if 
end %for