%from dim-vertices there is created the hyperplane specified by them
function hyperplane = createhyperplane(Vertices)
j=0;
for i=1:columns(Vertices)
	A=[Vertices(:,1:i-1),Vertices(:,i+1:end),ones(rows(Vertices),1)];
	if rank(A) == columns(A)
		B = -Vertices(:,i);
		j=i;
		break;
    end %if
end %for
x=(A\B);
hyperplane=[x(1:j-1)', 1,x(j:end-1)',-x(end)];
end %for