%inicialize algorithm of dual vertex to inequalities conversion
function [Vertices,centroid,OriginalV] = inivertoineqdual(Vertices)
dim = columns(Vertices);
if dim < 2
	minik = min(Vertices);
	Polyhedron(1).c = minik;
	Polyhedron(1).ineq(1).inequal = [-1, -minik];
	Polyhedron(1).ineq(1).vert = 1;
	Polyhedron(1).ineq(1).res = 1;
	Inequalities = [-1, -minik];
	maxik = max(Vertices);
	Polyhedron(2).c = maxik;
	Polyhedron(2).ineq(1).inequal = [1, maxik];
	Polyhedron(2).ineq(1).vert = 2;
	Polyhedron(2).ineq(1).res = 2;
	Inequalities(end+1,:) = [1, maxik];
	Vertices = Inequalities;
  centroid = Polyhedron;
  OriginalV = [];
else
	%find linear independent vertices, #vertices = dim
  OriginalV = Vertices;
	i = 3;
	firstvertex = Vertices(1,:);
	linindependent = Vertices(1:2,:);
	Help = (vectorik(firstvertex, Vertices(2,:)))';
	while columns(Help) < dim-1
		Help = [Help, (vectorik(firstvertex, Vertices(i,:)))'];
		if (rank(Help) == min([rows(Help), columns(Help)]))
			linindependent(end+1,:) = Vertices(i,:);
		else
			Help(:,end)=[];
    end %if
		i = i + 1;
	end %while
  test = createhyperplane(linindependent);                 
  while vertexliesinhyp(Vertices(i,:), test)
		i =i+1;
	end %while
  apex = Vertices(i,:);
  centroid = (ones(1,dim+1)*[linindependent;apex])/(dim+1);
  Help = [];
  for j = 1:rows(Vertices)
    new = Vertices(j,:)-centroid;
    if (new == zeros(1,dim))
    else
      Help(end+1,:) = new;
    end %if
  end %for
  Vertices = Help;
end %if