%return 1 if the hyperplane defines a facet
%and also modify the hyperplane to a halfspace, which contains the polyhedron
function [bool,halfspace] = isfacet(hyperplane,Vertices)
sgn = 0;
bool = 1;
halfspace = [];
for i = 1:rows(Vertices)
  sgn = sign(hyperplane(end)-(hyperplane(1:end-1)*Vertices(i,:)'));
  if ~(sgn == 0)
    break
  end %if
end %for
for j = i:rows(Vertices)
  helpsgn = sign(hyperplane(end)-(hyperplane(1:end-1)*Vertices(j,:)'));
  if ~(helpsgn == 0)
    if ~(helpsgn == sgn)
      bool = 0;
      break
    end %if
  end %if
end %for
if bool == 1
  if sgn == -1
    halfspace = - hyperplane;
  else
    halfspace = hyperplane;
  end % if
end %if