%simplex method
function [x,A,bs,nbs,target] = simplexmethod(c,A,b)
B=[];
bs=zeros(1,rows(A));
nbs=[];
crit=[];
count = 0;
for i=1:columns(A)
	[unit,ith] = isunit(A(:,i));
	if unit
		bs(ith)=i;
		count = count +1;
	else
		nbs=[nbs,i];
		B=[B,A(:,i)];
    end %if
	if count == length(bs)
		B = [B,A(:,i+1:end)];
		nbs = [nbs,i+1:columns(A)];
		break;
    end %if
end;
A=[B,b];
for i=1:columns(A)
	z=0;
	for j=1:rows(A)
		z=z+(A(j,i)*c(bs(j)));
	end; %for
	if i<columns(A)
		crit = [crit, c(nbs(i))-z];
	else
		crit = [crit, -z];
    end %if
end;
A=[A;crit];
while 1
	v = [0,0];
	if notnegative(A(end,1:end-1))
		x=simplexresult(A(:,end),bs,length(bs)+length(nbs));
		target = A(end,end);
		break;
	else
		v(2)=firstneg(A(end,:));
		v(1)=choosesmallest(A(:,v(2)),A(:,end));
		A=simplexonestep(A,v);
		helpik=nbs(v(2));
		nbs(v(2))=bs(v(1));
		bs(v(1))=helpik;
    end %if
end;